This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 4665 - file-3.27 introduces bug
file-3.27 introduces bug
Status: CLOSED NEXTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: file (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-23 05:10 EDT by barsnick
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-23 18:08:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description barsnick 1999-08-23 05:10:12 EDT
file-3.27 introduces a bug in the recognition of stripped
ELF files (not only on Linux, BTW). They are reported as
"not stripped", which causes heavy activism trying to debug
SPEC files e.g.  ;-) This bug has been reported to the
authors of the program. No new version has been made
available yet, though.

Fix:
--- file-3.27/readelf.c.strip   Sun Feb 14 18:16:10 1999
+++ file-3.27/readelf.c Sat May 29 09:46:26 1999
@@ -147,7 +147,7 @@
        for ( ; num; num--) {
                if (read(fd, sh_addr, size) == -1)
                        error("read failed (%s).\n",
strerror(errno));
-               if (shs_type == SHT_SYMTAB || shs_type ==
SHT_DYNSYM) {
+               if (shs_type == SHT_SYMTAB) {
                        (void) printf (", not stripped");
                        return;
                }

Further patches (for magic) are available from me.
Comment 1 Jeff Johnson 1999-08-23 10:06:59 EDT
THanks for the patch. Please send the magic patches too ...
Comment 2 Jeff Johnson 1999-08-23 18:08:59 EDT
Fixed in file-3.37-3. Thanks for the patch. I added the magic changes
too.

Note You need to log in before you can comment on or make changes to this bug.